## logisim 2.7.1~dfsg

=== debian/changelog ===
logisim (2.7.1~dfsg-4) unstable; urgency=low

  * QA upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Archive, Repository.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 13 Feb 2021 03:44:27 +0000

logisim (2.7.1~dfsg-3) unstable; urgency=medium

  [ Vincent Cheng ]
  * Orphan package, set maintainer to Debian QA.
  * Update Standards-Version to 4.5.0.
    - Remove deprecated debian/menu file.
  * Update to debhelper compat level 12.
  * Remove unused lintian overrides file.

  [ Emmanuel Bourg ]
  * Team upload.
  * Updated the Homepage field

 -- Vincent Cheng <vcheng@debian.org>  Sun, 16 Aug 2020 23:15:58 -0700

logisim (2.7.1~dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with Java 9 (Closes: #893301)
  * Moved the packaging repository to Salsa
  * Standards-Version updated to 4.4.0
  * Switch to debhelper level 11

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 12 Sep 2019 14:50:52 +0200

logisim (2.7.1~dfsg-1) unstable; urgency=low

  * Initial release (Closes: #652954)

 -- Vincent Cheng <Vincentc1208@gmail.com>  Sat, 05 May 2012 23:24:00 -0700
