=== debian/control ===
Source: logisim
Section: java
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12), javahelper (>= 0.25)
Build-Depends-Indep:
 default-jdk,
 javahelp2,
 libcolorpicker-java,
 libfontchooser-java
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/debian/logisim.git
Vcs-Browser: https://salsa.debian.org/debian/logisim
Homepage: http://www.cburch.com/logisim/
Rules-Requires-Root: no

Package: logisim
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Recommends: ${java:Recommends}
Description: graphical tool for designing and simulating logic circuits
 Logisim is an educational tool for designing and simulating digital logic
 circuits. With its simple toolbar interface and simulation of circuits as
 you build them, it is simple enough to facilitate learning the most basic
 concepts related to logic circuits. With the capacity to build larger circuits
 from smaller subcircuits, and to draw bundles of wires with a single mouse
 drag, Logisim can be used (and is used) to design and simulate entire CPUs
 for educational purposes.
