=== debian/rules ===
#!/usr/bin/make -f

export JAVA_HOME=/usr/lib/jvm/default-java
export CLASSPATH=/usr/share/java/jhall.jar:/usr/share/java/ColorPicker.jar:/usr/share/java/FontChooser.jar

%:
	dh $@ --with javahelper

override_jh_build:
	jh_build
	jar uf logisim.jar doc/ resources/logisim/


# Used by get-orig-source target
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-~]+).*,\1,p')
TMPDIR=logisim-$(DEB_UPSTREAM_VERSION)

get-orig-source:
	mkdir -p $(TMPDIR)
	# Fetch current upstream JAR file
	uscan --noconf --force-download --download-current-version --destdir=$(TMPDIR)
	# Unpack and remove JAR file
	cd $(TMPDIR) && jar xf logisim-generic-$(DEB_UPSTREAM_VERSION).jar
	rm -f $(TMPDIR)/logisim-generic-$(DEB_UPSTREAM_VERSION).jar
	# Remove all unwanted binary files (i.e. .jar files, .class files)
	rm -rf $(TMPDIR)/com/
	rm -rf $(TMPDIR)/javax/
	rm -rf $(TMPDIR)/net/
	rm -rf $(TMPDIR)/resources/bric/
	rm -rf $(TMPDIR)/resources/connectina/
	# Remove BOM to stop javac from complaining about illegal characters
	sed -i '1 s/^\xef\xbb\xbf//' $(TMPDIR)/src/com/cburch/draw/shapes/CurveUtil.java
	# Repackage into a tarball
	tar -czf logisim_$(DEB_UPSTREAM_VERSION)~dfsg.orig.tar.gz logisim-$(DEB_UPSTREAM_VERSION)
	rm -rf $(TMPDIR)
